package com.chenyang.nse.bussiness.entity.orm.table.core.datamap;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.sql.Date;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_GENERATEDATA"
)
public class TCoreGeneratedata extends TBaseEntity {
   private String generatedataname;
   private String template;
   private String nexttime;
   private String prevtime;
   private String runstate;
   private Date createtime;
   private String templateteam;

   public String getGeneratedataname() {
      return this.generatedataname;
   }

   public void setGeneratedataname(String generatedataname) {
      this.generatedataname = generatedataname;
   }

   public String getTemplate() {
      return this.template;
   }

   public void setTemplate(String template) {
      this.template = template;
   }

   public String getNexttime() {
      return this.nexttime;
   }

   public void setNexttime(String nexttime) {
      this.nexttime = nexttime;
   }

   public String getPrevtime() {
      return this.prevtime;
   }

   public void setPrevtime(String prevtime) {
      this.prevtime = prevtime;
   }

   public String getRunstate() {
      return this.runstate;
   }

   public void setRunstate(String runstate) {
      this.runstate = runstate;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public String getTemplateteam() {
      return this.templateteam;
   }

   public void setTemplateteam(String templateteam) {
      this.templateteam = templateteam;
   }
}
